在Eclipse Kepler中支持Java 8

目前,Eclipse官方并没有提供支持Java 8的下载包。但是我们可以做一些操作使得其支持Java 8:
1. 对于Java开发者,安装版本号为Kepler SR2的Eclipse
2. 对于使用Kepler SR1版本的RCP/RAP开发者,可以使用Eclipse 4.4的sdk(2014年3月24日之后的版本)

JDT开发小组建议使用Kepler SR2最近的版本。在Eclipse的wiki上,罗列出了通过安装补丁包支持Java 8的详细步骤。步骤如下:

  1. 运行Kepler SR2,点击“Help -> Install New Software”,打开“Available Software”对话框
  2. 在“Work with”对话框中输入“http://download.eclipse.org/eclipse/updates/4.3-P-builds/”
  3. 选中“Eclipse Java 8 Support (for Kepler SR2)”
  4. 一路点击next,直到完成安装
  5. 等待进度条显示完成后,重启Eclipse。

ok,这样你的Eclipse就支持Java 8了。

如果你已经安装了Java 8的jdk,并且安装了对应的JRE,那么就可以开始使用Java 8进行开发了。

如果不打算将系统默认的环境更改为Java 8,但是又想体验,那么需要执行以下的步骤:
1. 安装Java 8的JDK
2. 运行Eclipse,点击”Java > Installed JREs”
3. 点击”Add”
4. 选择”Standard VM”,点击”Next”
5. 输入Java 8的JRE的安装路径

6. 点击”finish”

同时还可以设置workspace默认使用Java 8 JRE,如果只是为了尝鲜,也可以在具体的工程中指定Java环境。

当然在工程中设置更好一些,因为这可以同步到你的版本控制系统。

下面来看看Java 8给我的第一印象是多么的“错误”(其实是更加方便了)

原文链接: waynebeaton 翻译: ImportNew.com - chenxi
译文链接: http://www.importnew.com/11259.html
[ 转载请保留原文出处、译者和译文链接。]



相关文章

发表评论

Comment form

(*) 表示必填项

还没有评论。

跳到底部
返回顶部